#
#   Python GUI - Labels - Gtk
#

import gtk
from GLabels import Label as GLabel

class Label(GLabel):
    
    def __init__(self, text = "New Label", **kwds):
        gtk_label = gtk.Label(text)
        gtk_label.set_alignment(0.0, 0.0)
        gtk_label.show()
        GLabel.__init__(self, _gtk_outer = gtk_label, **kwds)

    def get_text(self):
        return self._gtk_outer_widget.get_text()
    
    def set_text(self, text):
        self._gtk_outer_widget.set_text(text)
    
    def _gtk_get_alignment(self):
        return self._gtk_outer_widget.get_alignment()[0]
    
    def _gtk_set_alignment(self, x):
        self._gtk_outer_widget.set_alignment(x, 0.0)

    
